<div class="pagination">
    {% if page.prev %}
    <a href="{{ url_for(page.prev_link) }}">&laquo;</a>
    {% endif %}

    {% if page.current > 1 %}
    <a href="/">1</a>
    {% endif %}

    {% for i in range(2, page.current) %}
    <a href="/page/{{ i }}/">{{ i }}</a>
    {% endfor %}


    <a class="active" href="{{ url_for(page.current_link) }}">{{ page.current }}</a>

    {% for i in range(page.current + 1, page.total + 1) %}
    <a href="/page/{{ i }}/">{{ i }}</a>
    {% endfor %}

    {% if page.next %}
    <a href="{{ url_for(page.next_link) }}">&raquo;</a>
    {% endif %}
</div>